CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [options]

Diversas inferfaces de linha de comando úteis para depurar o Calibre. Sem opções, esse comando inicia um tradutor Python incorporado. Você também pode executar a interface principal do Calibre, o visualizador do Calibre e o editor do Calibre no pode de depuração (debug mode).

Também contém interfaces para várias partes do Calibre que não possuem
    ferramentas de linha de comando dedicadas, como subgrupamento de fontes (font subsetting), a ferramenta de comparação de e-books (diff tool) etc.

Você também pode usar calibre-debug para executar scripts isolados. Para fazer isso,
    use-o assim: calibre-debug myscript.py -- --option1 --option2 file1 file2 …

    Tudo após o -- é passado ao script.

    Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: “/some path/with spaces”

[OPÇÕES]

--add-simple-plugin
    Adiciona um plug-in (por exemplo, um plugin que consiste de apenas um arquivo .py), pela especificação do caminho de um arquivo py que contenha o código do plugin.

--command, -c
    Executar código Python.

--debug-device-driver, -d
    Depurar a detecção de dispositivo

--default-programs
    (Des)cadastre o calibre da lista dos Programas Padrão do Windows. --default-programs = (register|unregister)

--diff
    Executar a ferramenta diff do calibre. Por exemplo: calibre-debug --diff arquivo1 arquivo2

--edit-book, -t
    Carregar a ferramenta "Editar Livro" do calibre em modo de depuração.

--exec-file, -e
    Executar o código Python no arquivo.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Exportar todos os dados do calibre (livros/configurações/plugins)

--gui, -g
    Executa a interface gráfica com a depuração ativada. A saída de depuração é impressa para stdout e stderr.

--gui-debug
    Executa a interface gráfica com console de depuração, conectando ao caminho especificado. Para uso interno apenas use a opção -g para executar a interface gráfica no modo de depuração

--help, -h
    mostrar esta mensagem de ajuda e sair

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Importar dados do calibre exportados anteriormente

--inspect-mobi, -m
    Inspeciona arquivo(s) MOBI no(s) caminho(s) especificado(s)

--paths
    Saída dos caminhos necessários para configurar o ambiente do calibre

--reinitialize-db
    Reinicializar o banco de dados sqlite do calibre no caminho especificado. Útil para recuperar do bd corrompido.

--run-plugin, -r
    Executa um plug-in que provê uma interface de linha de comando. Por exemplo: calibre-debug -r "Add Books" -- file1 --option1 Tudo após o -- será passado ao plug-in como argumento.

--shutdown-running-calibre, -s
    Faz com que uma instância ativa do calibre, se houver uma, seja desligada. Note que se houver trabalhos ativos, estes serão abortados silenciosamente, então, use com cuidado.

--subset-font, -f
    Escolha o conjunto de fontes específicas. Use -- depois dessa opção para repassar ao programa o conjunto de fontes escolhido.

--test-build
    Testar módulos binários em construção

--version
    mostrar número da versão do programa e sair

--viewer, -w
    Executar o visualizador de e-book em modo de depuração

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal